@import 'mixin';
@import 'reset';
@import 'variable';

.header {
    &__container {
        display: flex;
        justify-content: center;
        align-items: center;
        height: 55px;
        position: relative;
        margin: 34px 0 34px 0;
    }
    &__nav ul {
        @include flex-row;
        gap: 68px;
        justify-content: space-between;
    }
    &__nav-item a {
        text-decoration: none;
        @include font-400;
        color: $color1;
        @include font-size-11;
        letter-spacing: 1.1px;
    }
    &__nav-item a:hover {
        color: #57A4A4;
    }
    &__img img {
        width: 100%;
        display: block;
    }
    @media (width < $width-laptop){
        &__nav ul {
            gap: 33px;
        }
        &__nav-item a {
            font-size: 9px;
        }
    }
    @media (width < $width-tablet) {
        &__nav {
            display: none;
        }
        &__nav.open {
            display: block;
            position: absolute;
            right: 0;
            top: 85%;
            z-index: 1;
            background-color: #f5f5f5;
            max-width: 182px;
            width: 100%;
        }
        &__nav ul {
            flex-direction: column;
            gap: 0;
        }
        &__nav-item{
            padding: 5px 0 5px 13px;
        }
        &__nav-item:hover {
            background-color: #d1cdcd;
        }
    }
}